<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\XF\Admin\Controller;

class Navigation extends XFCP_Navigation
{
    protected function navigationSaveProcess(\XF\Entity\Navigation $navigation)
    {
        $form = parent::navigationSaveProcess($navigation);
        $input = $this->filter([
            'xentr_nav_icon' => 'str'
        ]);

        $form->setupEntityInput($navigation, $input);
        return $form;
    }
}