<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\XF\Entity;

use XF\Mvc\Entity\Structure;

class Navigation extends XFCP_Navigation
{
    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);
        $structure->columns['xentr_nav_icon'] = ['type' => self::STR, 'maxLength' => 50, 'default' => ''];
        return $structure;
    }
}