<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\XF\Navigation;

use XF\Navigation\Compiler;

class BasicType extends XFCP_BasicType
{
	public function compileCode(\XF\Entity\Navigation $nav, Compiler $compiler)
	{
	    $compiledEntry = parent::compileCode($nav, $compiler);

	    $indent = $compiler->getIndenter();
	    $iconRow = "{$indent}\t'fa_icon' => " . $compiler->compileStringValue($nav->xentr_nav_icon) . ",\n";
	    $compiledEntry->dataExpression = str_replace("[\n", "[\n" . $iconRow, $compiledEntry->dataExpression);

	    return $compiledEntry;
	}
}