<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Manager;
use XF\Mvc\Entity\Structure;

class Listener
{
    public static function templaterTemplatePreRender(\XF\Template\Templater $templater, &$type, &$template, array &$params)
    {
        $params['xentr_footer'] = \XF::app()->forumStatistics;
    }	
	
	public static function templaterTemplatePostRender(\XF\Template\Templater $templater, $type, $template, &$output)
    {
        if ($template == 'node_list.less')
        {
            $nodes = \XF::app()->em()->getRepository('XF:Node')->getFullNodeList();

            $data = [
                'nodes' => $nodes
            ];

            $output .= \XF::app()->templater()->renderTemplate('public:xentr_node_customizer.less', $data);
        }
    }


    /**
     * Allows direct modification of the Entity structure.
     *
     * Event hint: Fully qualified name of the root class that was called.
     * 
     * @param \XF\Mvc\Entity\Manager   $em        Entity Manager object.
     * @param \XF\Mvc\Entity\Structure $structure Entity Structure object.
     */
    public static function forumEntityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
    {
        
    }


    /**
     * Allows direct modification of the Entity structure.
     *
     * Event hint: Fully qualified name of the root class that was called.
     * 
     * @param \XF\Mvc\Entity\Manager   $em        Entity Manager object.
     * @param \XF\Mvc\Entity\Structure $structure Entity Structure object.
     */
    public static function nodeEntityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
    {
        
    }

}