<?php

/*
 * Created on 01.04.2022 - Special Style Properties
 * HomePage: https://xentr.net
 * Copyright (c) 2022 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\Special\XF\Entity;

use XF\Mvc\Entity\Structure;

class Forum extends XFCP_Forum
{
	public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);
        $structure->columns['xtr_notice'] = ['type' => self::BOOL, 'default' => true];
        $structure->columns['xtr_notice_position'] = ['type' => self::UINT, 'default' => 1];
        $structure->columns['xtr_notice_content'] = ['type' => self::STR, 'maxLength' => 999, 'default' => ''];
        $structure->columns['xtr_notice_icon'] = ['type' => self::STR, 'maxLength' => 100, 'default' => ''];
        $structure->columns['xtr_notice_icon_color'] = ['type' => self::STR, 'maxLength' => 100, 'default' => ''];
        $structure->columns['xtr_notice_bg'] = ['type' => self::STR, 'maxLength' => 100, 'default' => ''];

        return $structure;
    }
}